For the complete documentation index, see llms.txt. This page is also available as Markdown.

Messages

Retrieve message types (delivery).

get

Retrieve all the message types appropriate for the delivery process for both portals SBR Nexus and Digipoort.

Authorizations
AuthorizationstringRequired

Please enter token

Header parameters
x-api-versionstringRequired
ApplicationNameanyOptional

Name of the application to integrates with API’s to Semansys.Next.

PartnerNameanyOptional

Contract owner (organization) name that have embedded the API’s.

PartnerIDanyOptional

Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.

CustomerNameanyOptional

Customer (organization) name (ie. accounting firm, intermediary, ....).

CustomerIDanyOptional

Business Identification Number (BIN) of the customer.

ClientNameanyOptional

Client (organization) name of the customer of the accounting firm, intermediary...

ClientIDanyOptional

Business Identification Number (BIN) of the client.

Responses
200

OK

application/json
idstring · uuidOptional
namestring · nullableOptional
portalstring · nullableOptional
xbrlSupportedbooleanOptional
xmlSupportedbooleanOptional
get/customer-corner/delivery/messages
GET /customer-corner/delivery/messages HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-version: text
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "portal": "text",
  "xbrlSupported": true,
  "xmlSupported": true,
  "receivers": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "identityType": "text",
      "identityNumber": "text",
      "messageId": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "entryPoints": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "description": "text",
      "entrypoint": "text",
      "dateFrom": "text",
      "dateTo": "text",
      "messageId": "123e4567-e89b-12d3-a456-426614174000"
    }
  ]
}

Delete message type (delivery).

delete

Delete message type (delivery module) by ID from the platform. Admin functionality only.

Authorizations
AuthorizationstringRequired

Please enter token

Path parameters
idstringRequired
Header parameters
x-api-versionstringRequired
ApplicationNameanyOptional

Name of the application to integrates with API’s to Semansys.Next.

PartnerNameanyOptional

Contract owner (organization) name that have embedded the API’s.

PartnerIDanyOptional

Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.

CustomerNameanyOptional

Customer (organization) name (ie. accounting firm, intermediary, ....).

CustomerIDanyOptional

Business Identification Number (BIN) of the customer.

ClientNameanyOptional

Client (organization) name of the customer of the accounting firm, intermediary...

ClientIDanyOptional

Business Identification Number (BIN) of the client.

Responses
200Success
stringOptional
delete/customer-corner/delivery/messages/{id}
DELETE /customer-corner/delivery/messages/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-version: text
Accept: */*
http://www.nltaxonomie.nl/nt18/kvk/20231213/entrypoints/kvk-rpt-jaarverantwoording-2023-nlgaap-micro.xsd

Was this helpful?